`bamg2geo`

convert bamg mesh in geo format

## Synopsis

    bamg2geo [options] file[.bamg] file[.dmn]

## Description

Convert a `.bamg` file into a `.geo` one. The output goes to standard output. The `.dmn` file specifies the domain names, since the `bamg` mesh generator uses numbers as domain labels instead of names. When no files are provided, the standard input is used.

## Examples

        bamg -g toto.bamgcad -o toto.bamg
        bamg2geo toto.bamg toto.dmn > toto.geo

## The bamg cad file

The `.bamgcad` file describes the boundary of the mesh geometry. Here is a basic example:

        MeshVersionFormatted
          0
        Dimension
          2
        Vertices
          4
          0  0     1
          1  0     2
          1  1     3
          0  1     4
        Edges
          4
          1  2     101
          2  3     102
          3  4     103
          4  1     104
        hVertices
          0.1 0.1 0.1 0.1

See `bamg` .

## Domain name file

The `.dmn` file defines the boundary domain names used by Rheolef, since `bamg` uses numeric labels for domains. Here is an example:

        EdgeDomainNames
          4
          bottom
          right
          top
          left

The domain name file can also specify additional vertices domain:

        EdgeDomainNames
          4
          bottom
          right
          top
          left
        VertexDomainNames
          4
          left_bottom
          right_bottom
          right_top
          left_top

Vertex domain names are useful for some special boundary conditions.

## Options

`-cartesian`
`-rz`
`-zr`

> Specifies the coordinate system. The default is `cartesian` while `-rz` and `-zr` denotes some axisymmetric coordinate systems. Recall that most of Rheolef codes are coordinate-system independent and the coordinate system is specified in the geometry file `.geo`.

## Implementation

This documentation has been generated from file main/sbin/bamg2geo.cc